%define rel 2

Name: lxqt-session
Version: 0.11.1
Release: %mkrel %rel
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: Session manager for the LXQt desktop
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/KDE
BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(Qt5Xdg) >= 2.0.0
BuildRequires: pkgconfig(libudev)

BuildRequires: xdg-user-dirs
BuildRequires: libapr
BuildRequires: libapr-util
BuildRequires: git

Obsoletes: razorqt-config-session < 0.5.3-1
Obsoletes: razorqt-session < 0.5.3-1

%description
Session manager for the LXQt desktop.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 -DPULL_TRANSLATIONS=NO
%make_build

%install
%make_install -C build


%files
%{_bindir}/lxqt-leave
%{_bindir}/lxqt-session
%{_bindir}/lxqt-config-session
%{_datadir}/applications/lxqt-leave.desktop
%{_datadir}/applications/lxqt-config-session.desktop
%{_datadir}/applications/lxqt-hibernate.desktop
%{_datadir}/applications/lxqt-lockscreen.desktop
%{_datadir}/applications/lxqt-logout.desktop
%{_datadir}/applications/lxqt-reboot.desktop
%{_datadir}/applications/lxqt-shutdown.desktop
%{_datadir}/applications/lxqt-suspend.desktop
%{_mandir}/man1/*


%changelog
* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-2.mga6
+ Revision: 1093320
- New version 0.11.1

* Thu Nov 17 2016 daviddavid <daviddavid> 0.11.0-2.mga6
+ Revision: 1067962
- add missing BR on pkgconfig(libudev)

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1066019
- New version 0.11.0

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 995919
- update translations during build if necessary

* Mon Feb 15 2016 umeabot <umeabot> 0.10.0-4.mga6
+ Revision: 961350
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900955
- Rebuild against fixed qtbase5
- Use qt5 cmake macro
- New version 0.10.0

* Sun Feb 22 2015 tmb <tmb> 0.9.0-2.mga5
+ Revision: 816504
- fix desktop files

  + doktor5000 <doktor5000>
    - new version 0.9.0
    - added new binary %%{_bindir}/lxqt-leave, replacing lxqt-power functionality
    - remove conditional handling for QT5 as QT4 is not supported anymore
    - adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
    - use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 803667
- rebuild for QT 5.4 breakage

* Sun Oct 26 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 793518
- do not remove LXQt Catgories from .desktop file

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 793080
- remove Categories from desktop file
- add missing BuildRequires on BuildRequires: pkgconfig(Qt5Help)
- new version 0.8
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 740329
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 682098
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-2.mga5
+ Revision: 675030
- obsolete razorqt-session

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626380
- fix .desktop file, remove Category=LXQt for now
- use %%mkrel
- fix and add missing BuildRequires
- disabled bundled xdg-utils
- imported package lxqt-session


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: 2c573f0
- Automatic import for version 0.7.0-1


